Bug 19056 - Move C4::Reserves::GetReserveCount to the Koha namespace
Summary: Move C4::Reserves::GetReserveCount to the Koha namespace
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on: 19055
Blocks: 17728 19057
  Show dependency treegraph
 
Reported: 2017-08-07 20:42 UTC by Jonathan Druart
Modified: 2017-12-07 22:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count (2.86 KB, patch)
2017-08-07 20:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count (2.97 KB, patch)
2017-08-08 08:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count (3.05 KB, patch)
2017-09-01 09:52 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-07 20:42:12 UTC
C4::Reserves::GetReserveCount can easily be replaced with Koha::Patron->holds->count
Comment 1 Jonathan Druart 2017-08-07 20:54:19 UTC
Created attachment 65604 [details] [review]
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count

This subroutine is only used once and can easily be replaced with
Koha::Patron->holds->count

Test plan:
- Set maxreserves=5
- Place 3 holds for a given patron
- Place again 3 holds for this patron
3+3 > 5 => The holds must not be placed
Comment 2 Marc Véron 2017-08-08 08:31:10 UTC
Created attachment 65617 [details] [review]
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count

This subroutine is only used once and can easily be replaced with
Koha::Patron->holds->count

Test plan:
- Set maxreserves=5
- Place 3 holds for a given patron
- Place again 3 holds for this patron
3+3 > 5 => The holds must not be placed

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Julian Maurice 2017-09-01 09:52:58 UTC
Created attachment 66696 [details] [review]
Bug 19056: Replace C4::Reserves::GetReserveCount with Koha::Patron->holds->count

This subroutine is only used once and can easily be replaced with
Koha::Patron->holds->count

Test plan:
- Set maxreserves=5
- Place 3 holds for a given patron
- Place again 3 holds for this patron
3+3 > 5 => The holds must not be placed

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2017-09-01 16:08:01 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-03 08:11:30 UTC
Isn't this enhancement ?
Comment 6 Jonathan Druart 2017-10-03 13:50:18 UTC
(In reply to Fridolin SOMERS from comment #5)
> Isn't this enhancement ?

Changed to enhancement.